commit:     45b4852b25c7d4bd8be6770c2dd823b8534390d4
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 23 23:43:34 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Tue Jul 23 23:47:37 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45b4852b

media-libs/glu: Version bump to 9.0.1

Closes: https://bugs.gentoo.org/690492
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 media-libs/glu/Manifest         |  1 +
 media-libs/glu/glu-9.0.1.ebuild | 48 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/media-libs/glu/Manifest b/media-libs/glu/Manifest
index 871d10a9873..16a3440bf77 100644
--- a/media-libs/glu/Manifest
+++ b/media-libs/glu/Manifest
@@ -1 +1,2 @@
 DIST glu-9.0.0.tar.bz2 493206 BLAKE2B 
9c8c27bf8b415f4962079f200f64d4ecadaabecc7cddf832ccc75146b30260bb386ddb87cee26d911f6b7c2451ed0484e0fe8bfa39ac27e33b87a2b5d025ca81
 SHA512 
ff920e3fbca739794e1432a92fdd8517aa732110fea71ed724185425042f83ce18e9866c16f95c6e10f6993f0814a90fac9636e2b3d8ca2084d1ac0a860f61c8
+DIST glu-9.0.1.tar.xz 434632 BLAKE2B 
ed624b107a97ac84517cd0fa740090746ab93c77498135bf6dae3ee488e04afc93b0d239aba15533de8ab407d3d3d5e7cb5086b29985d93037e78753b249741e
 SHA512 
8a6dae5b4bd63efb96d15f23ccda4ad9c2ffaa964897e5fa63d1e58360d8d4e6732c5efd2109dba04155d5fc457ab1718a65cf9b544ce0d452679ba988d04018

diff --git a/media-libs/glu/glu-9.0.1.ebuild b/media-libs/glu/glu-9.0.1.ebuild
new file mode 100644
index 00000000000..ec7ab407c72
--- /dev/null
+++ b/media-libs/glu/glu-9.0.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGIT_REPO_URI="https://gitlab.freedesktop.org/mesa/glu.git";
+
+if [[ ${PV} = 9999* ]]; then
+       GIT_ECLASS="git-r3"
+fi
+
+inherit autotools multilib-minimal ${GIT_ECLASS}
+
+DESCRIPTION="The OpenGL Utility Library"
+HOMEPAGE="https://gitlab.freedesktop.org/mesa/glu";
+
+if [[ ${PV} = 9999* ]]; then
+       SRC_URI=""
+else
+       SRC_URI="https://mesa.freedesktop.org/archive/glu/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~sparc-solaris 
~x64-solaris ~x86-solaris"
+fi
+
+LICENSE="SGI-B-2.0"
+SLOT="0"
+IUSE="static-libs"
+
+DEPEND=">=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]"
+RDEPEND="${DEPEND}
+       !<media-libs/mesa-9"
+
+src_prepare() {
+       default
+       [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+src_test() {
+       :;
+}

Reply via email to